{
   "format_version":"1.13.0",
   "minecraft:feature_rules":{
      "description":{
         "places_feature":"hearts:heart_shard_ore_feature",
         "identifier":"hearts:heart_shard_ore_feature"
      },
      "conditions":{
         "placement_pass":"underground_pass",
         "minecraft:biome_filter":{
            "any_of":[
               {
                  "test":"has_biome_tag",
                  "operator":"==",
                  "value":"overworld"
               },
               {
                  "test":"has_biome_tag",
                  "operator":"==",
                  "value":"overworld_generation"
               }
            ]
         }
      },
      "distribution":{
         "iterations":20,
         "coordinate_eval_order":"zyx",
         "y":{
            "distribution":"uniform",
            "extent":[
               0,
               96
            ]
         },
         "z":{
            "distribution":"uniform",
            "extent":[
               0,
               16
            ]
         },
         "x":{
            "distribution":"uniform",
            "extent":[
               0,
               16
            ]
         }
      }
   }
}